<template>
  <drag-verify
    :width="width"
    :height="height"
    :text="text"
    :success-text="successText"
    :background="background"
    :progress-bar-bg="progressBarBg"
    :completed-bg="completedBg"
    :handler-bg="handlerBg"
    :handler-icon="handlerIcon"
    :text-size="textSize"
    :success-icon="successIcon"
    @passcallback="passcallback2"
    ref="Verify"
  >
  </drag-verify>
</template>
<script>

import dragVerify from 'vue-drag-verify'
import 'font-awesome/css/font-awesome.min.css'
export default {
  name: 'DragVerify',
  components: {
    dragVerify
  },
  data () {
    return {
      handlerIcon: 'fa fa-angle-double-right',
      successIcon: 'fa fa-check',
      background: '#f5f5f5',
      progressBarBg: 'rgba(71,141,251,0.5)',
      completedBg: '#1890ff',
      handlerBg: '#fff',
      text: '请将滑块拖动到右侧',
      successText: '验证成功',
      width: 350,
      height: 45,
      textSize: '14px',
      isCircle: 'true'
    }
  },
  methods: {
    passcallback2 () {
      if (this.$refs.Verify.isPassing) {
        this.$emit('success')
      }
    }
  }
}
</script>
<style>
.drag_verify .dv_handler_bg{
  width: 45px!important;
  height: 45px!important;
}
</style>
